<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" indent="yes"/>
   <xsl:template match="/">
      <xsl:apply-templates select="//configuration"/>
   </xsl:template>
   <xsl:template match="configuration">
      <xsl:element name="configuration">
         <xsl:if test="@name">
            <xsl:attribute name="name">
               <xsl:value-of select="@name"/>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates select="./*"/>
      </xsl:element>
   </xsl:template>
   <xsl:template match="ns1:deviceGroup" xmlns:ns1="http://www.xpsl.org">
      <xsl:element name="StartGroup">
         <xsl:if test="@name">
            <xsl:attribute name="name">
               <xsl:value-of select="@name"/>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates select="./*"/>
      </xsl:element>
   </xsl:template>
   <xsl:template match="ns1:deviceSequence" xmlns:ns1="http://www.xpsl.org">
      <xsl:element name="StartSequence">
         <xsl:if test="@name">
            <xsl:attribute name="name">
               <xsl:value-of select="@name"/>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates select="./*"/>
      </xsl:element>
   </xsl:template>
   <xsl:template match="ns1:group[EndDevicesGroup]" xmlns:ns1="http://www.xpsl.org">
      <xsl:element name="End">
         <xsl:if test="@name">
            <xsl:attribute name="name">
               <xsl:value-of select="@name"/>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates select="./*"/>
      </xsl:element>
   </xsl:template>
   <xsl:template match="ns1:group[InlineDevicesGroup]" xmlns:ns1="http://www.xpsl.org">
      <xsl:element name="Inline">
         <xsl:if test="@name">
            <xsl:attribute name="name">
               <xsl:value-of select="@name"/>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates select="./*"/>
      </xsl:element>
   </xsl:template>
   <xsl:template match="@*|node()">
      <!-- Catch All Template -->
   </xsl:template>
</xsl:stylesheet>
